package cn.iocoder.yudao.module.member.enums;

public enum MemberScoreStatueEnum {
    AVAILABLE(1, "可用"),
    PART_AVAILABLE(2, "部分可用"),
    NOT_AVAILABLE(3, "不可用")
    ;

    private final int value;

    private final String name;

    MemberScoreStatueEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

}
