package cn.iocoder.yudao.module.member.enums;

public enum PlatformTypeEnum {
    BACKEND(1, "后台"),
    APP(2, "APP"),
    WEB(3, "WEB");

    private final int value;

    private final String name;

    PlatformTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
