package cn.iocoder.yudao.module.member.enums;

public enum ScoreRuleStatusEnum {
    ENABLED(1, "已启用"),
    DISABLED(2, "未启用"),
    CLOSED(3, "已关闭"),
    EXPIRED(4, "已过期");

    private final int value;
    private final String name;

    ScoreRuleStatusEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
