package cn.iocoder.yudao.module.member.enums;

public enum MemberUserScoreTypeEnum {
    HOLD_SCORE(1, "持有积分"),

    EXPIRED_SCORE(2, "过期积分"),

    INVALID_SCORE(3, "已失效积分")
    ;

    private final int value;

    private final String name;

    MemberUserScoreTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
