package cn.iocoder.yudao.module.member.enums;

import java.util.stream.Stream;

public enum ScoreOperateTypeEnum {
    ADD(1, "增加"),
    REDUCE(2, "减少");

    private final int value;

    private final String name;

    ScoreOperateTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static ScoreOperateTypeEnum parseByValue(int value) {
        return Stream.of(values()).filter(e -> e.getValue() == value).findAny().orElse(null);
    }
}
