package cn.iocoder.yudao.module.member.enums;

public enum ScoreRuleTypeEnum {
    ORDER_V(1, "订单V值"),
    REGISTER(2, "注册"),
    RECOMMEND(3, "推荐"),
    SHARE(4, "分享活动");

    private final int value;

    private final String name;

    ScoreRuleTypeEnum(int value, String name) {
        this.value = value;
        this.name = name;
    }

    public int getValue() {
        return value;
    }

    public String getName() {
        return name;
    }
}
